Subject: Re: LDP: next-20150402: twl4030 regression?

From: Mark Brown <[email-masked]>
Date: Mon, 6 Apr 2015 16:01:27 +0100

On Mon, Apr 06, 2015 at 02:58:29PM +0100, Russell King - ARM Linux wrote:
> On Mon, Apr 06, 2015 at 08:53:36AM -0500, Nishanth Menon wrote:

> > > at least a description of the problem you're seeing and some attempt at

> > Test was a simple boot test. There seems to be a lockdep reported at the
> > very least in the log provided (see
> > https://github.com/nmenon/kernel-test-logs/blob/next-20150402/omap2plus_defconfig/ldp.txt#L488
> > ).

> I think what Mark is trying to say is to include a fuller description of
> the problem, and don't expect people to fire up their web browser to get
> a basic overview of what the problem is.

Yes, indeed.  I hadn't actually opened the links, I might've got round
to it later on.

> My guess is that the problem _appears_ to be that someone's added a call
> to debug_check_no_locks_held() into schedule_hrtimeout_range_clock()
> without considering what this means.

> What it means is that you can't now use usleep_range() from within any
> driver probe function - which is absolutely absurd.

I can't think of any regulator side changes which might be relevant in
that period.  It's possible that there might be something in the MFD I
guess.